
// Common Polyhedra
const char *model_names_common[][2] = {
   {"Common Polyhedra", ""},
   {"tet", "tetrahedron"},
   {"tr_tet", "truncated tetrahedron"},
   {"oct", "octahedron"},
   {"cube", "cube"},
   {"cubo", "cuboctahedron"},
   {"tr_oct", "truncated octahedron"},
   {"tr_cube", "truncated cube"},
   {"rh_cubo", "rhombicuboctahedron"},
   {"tr_cubo", "truncated cuboctahedron"},
   {"sn_cube", "snub cube"},
   {"ico", "icosahedron"},
   {"dod", "dodecahedron"},
   {"icosid", "icosidodecahedron"},
   {"tr_ico", "truncated icosahedron"},
   {"tr_dod", "truncated dodecahedron"},
   {"rh_icosid", "rhombicosidodecahedron"},
   {"tr_icosid", "truncated icosidodecahedron"},
   {"sn_dod", "snub dodecahedron"},
   {"sm_st_dod", "small stellated dodecahedron"},
   {"gr_dod", "great dodecahedron"},
   {"gr_st_dod", "great stellated dodecahedron"},
   {"gr_ico", "great icosahedron"},
   {"tri_tet", "triakis tetrahedron"},
   {"rd", "rhombic dodecahedron"},
   {"tri_oct", "triakis octahedron"},
   {"tetr_hex", "tetrakis hexahedron"},
   {"disd_hex", "disdyakis hexahedron"},
   {"delt_icosit", "deltoidal icositetrahedron"},
   {"trap_icosit", "trapezoidal icositetrahedron"},
   {"hex_oct", "hexakis octahedron"},
   {"disd_dod", "disdyakis dodecahedron"},
   {"pen_icosit", "pentagonal icositetrahedron"},
   {"rt", "rhombic triacontahedron"},
   {"tri_ico", "triakis icosahedron"},
   {"pent_dod", "pentakis dodecahedron"},
   {"delt_hexac", "deltoidal hexacontahedron"},
   {"trap_hexac", "trapezoidal hexacontahedron"},
   {"hex_ico", "hexakis icosahedron"},
   {"disd_tri", "disdyakis triacontahedron"},
   {"pen_hexac", "pentagonal hexacontahedron"},
   {"", ""}
};


// Uniform Polyhedra
const char *model_names_uniform[][2] = {
   {"Uniform Polyhedra", ""},
   {"U1", "tetrahedron"},
   {"U2", "truncated tetrahedron"},
   {"U3", "octahemioctahedron"},
   {"U4", "tetrahemihexahedron"},
   {"U5", "octahedron"},
   {"U6", "cube"},
   {"U7", "cuboctahedron"},
   {"U8", "truncated octahedron"},
   {"U9", "truncated cube"},
   {"U10", "rhombicuboctahedron"},
   {"U11", "truncated cuboctahedron"},
   {"U12", "snub cube"},
   {"U13", "small cubicuboctahedron"},
   {"U14", "great cubicuboctahedron"},
   {"U15", "cubohemioctahedron"},
   {"U16", "cubitruncated cuboctahedron"},
   {"U17", "great rhombicuboctahedron"},
   {"U18", "small rhombihexahedron"},
   {"U19", "stellated truncated hexahedron"},
   {"U20", "great truncated cuboctahedron"},
   {"U21", "great rhombihexahedron"},
   {"U22", "icosahedron"},
   {"U23", "dodecahedron"},
   {"U24", "icosidodecahedron"},
   {"U25", "truncated icosahedron"},
   {"U26", "truncated dodecahedron"},
   {"U27", "rhombicosidodecahedron"},
   {"U28", "truncated icosidodecahedron"},
   {"U29", "snub dodecahedron"},
   {"U30", "small ditrigonal icosidodecahedron"},
   {"U31", "small icosicosidodecahedron"},
   {"U32", "small snub icosicosidodecahedron"},
   {"U33", "small dodecicosidodecahedron"},
   {"U34", "small stellated dodecahedron"},
   {"U35", "great dodecahedron"},
   {"U36", "great dodecadodecahedron"},
   {"U37", "truncated great dodecahedron"},
   {"U38", "rhombidodecadodecahedron"},
   {"U39", "small rhombidodecahedron"},
   {"U40", "snub dodecadodecahedron"},
   {"U41", "ditrigonal dodecadodecahedron"},
   {"U42", "great ditrigonal dodecicosidodecahedron"},
   {"U43", "small ditrigonal dodecicosidodecahedron"},
   {"U44", "icosidodecadodecahedron"},
   {"U45", "icositruncated dodecadodecahedron"},
   {"U46", "snub icosidodecadodecahedron"},
   {"U47", "great ditrigonal icosidodecahedron"},
   {"U48", "great icosicosidodecahedron"},
   {"U49", "small icosihemidodecahedron"},
   {"U50", "small dodecicosahedron"},
   {"U51", "small dodecahemidodecahedron"},
   {"U52", "great stellated dodecahedron"},
   {"U53", "great icosahedron"},
   {"U54", "great icosidodecahedron"},
   {"U55", "great truncated icosahedron"},
   {"U56", "rhombicosahedron"},
   {"U57", "great snub icosidodecahedron"},
   {"U58", "small stellated truncated dodecahedron"},
   {"U59", "truncated dodecadodecahedron"},
   {"U60", "inverted snub dodecadodecahedron"},
   {"U61", "great dodecicosidodecahedron"},
   {"U62", "small dodecahemicosahedron"},
   {"U63", "great dodecicosahedron"},
   {"U64", "great snub dodecicosidodecahedron"},
   {"U65", "great dodecahemicosahedron"},
   {"U66", "great stellated truncated dodecahedron"},
   {"U67", "great rhombicosidodecahedron"},
   {"U68", "great truncated icosidodecahedron"},
   {"U69", "great inverted snub icosidodecahedron"},
   {"U70", "great dodecahemidodecahedron"},
   {"U71", "great icosihemidodecahedron"},
   {"U72", "small retrosnub icosicosidodecahedron"},
   {"U73", "great rhombidodecahedron"},
   {"U74", "great retrosnub icosidodecahedron"},
   {"U75", "great dirhombicosidodecahedron"},
   {"U76", "pentagonal prism"},
   {"U77", "pentagonal antiprism"},
   {"U78", "pentagrammic prism"},
   {"U79", "pentagrammic antiprism"},
   {"U80", "pentagrammic crossed antiprism"},
   {"", ""}
};


// Uniform Duals
const char *model_names_uniform_dual[][2] = {
   {"Uniform Duals", ""},
   {"UD1", "tetrahedron"},
   {"UD2", "triakistetrahedron"},
   {"UD3", "octahemioctacron"},
   {"UD4", "tetrahemihexacron"},
   {"UD5", "cube"},
   {"UD6", "octahedron"},
   {"UD7", "rhombic dodecahedron"},
   {"UD8", "tetrakishexahedron"},
   {"UD9", "triakisoctahedron"},
   {"UD10", "deltoidal icositetrahedron"},
   {"UD11", "disdyakisdodecahedron"},
   {"UD12", "pentagonal icositetrahedron"},
   {"UD13", "small hexacronic icositetrahedron"},
   {"UD14", "great hexacronic icositetrahedron"},
   {"UD15", "hexahemioctacron"},
   {"UD16", "tetradyakishexahedron"},
   {"UD17", "great deltoidal icositetrahedron"},
   {"UD18", "small rhombihexacron"},
   {"UD19", "great triakisoctahedron"},
   {"UD20", "great disdyakisdodecahedron"},
   {"UD21", "great rhombihexacron"},
   {"UD22", "dodecahedron"},
   {"UD23", "icosahedron"},
   {"UD24", "rhombic triacontahedron"},
   {"UD25", "pentakisdodecahedron"},
   {"UD26", "triakisicosahedron"},
   {"UD27", "deltoidal hexecontahedron"},
   {"UD28", "disdyakistriacontahedron"},
   {"UD29", "pentagonal hexecontahedron"},
   {"UD30", "small triambic icosahedron"},
   {"UD31", "small icosacronic hexecontahedron"},
   {"UD32", "small hexagonal hexecontahedron"},
   {"UD33", "small dodecacronic hexecontahedron"},
   {"UD34", "great dodecahedron"},
   {"UD35", "small stellated dodecahedron"},
   {"UD36", "medial rhombic triacontahedron"},
   {"UD37", "small stellapentakisdodecahedron"},
   {"UD38", "medial deltoidal hexecontahedron"},
   {"UD39", "small rhombidodecacron"},
   {"UD40", "medial pentagonal hexecontahedron"},
   {"UD41", "medial triambic icosahedron"},
   {"UD42", "great ditrigonal dodecacronic hexecontahedron"},
   {"UD43", "small ditrigonal dodecacronic hexecontahedron"},
   {"UD44", "medial icosacronic hexecontahedron"},
   {"UD45", "tridyakisicosahedron"},
   {"UD46", "medial hexagonal hexecontahedron"},
   {"UD47", "great triambic icosahedron"},
   {"UD48", "great icosacronic hexecontahedron"},
   {"UD49", "small icosihemidodecacron"},
   {"UD50", "small dodecicosacron"},
   {"UD51", "small dodecahemidodecacron"},
   {"UD52", "great icosahedron"},
   {"UD53", "great stellated dodecahedron"},
   {"UD54", "great rhombic triacontahedron"},
   {"UD55", "great stellapentakisdodecahedron"},
   {"UD56", "rhombicosacron"},
   {"UD57", "great pentagonal hexecontahedron"},
   {"UD58", "great pentakisdodekahedron"},
   {"UD59", "medial disdyakistriacontahedron"},
   {"UD60", "medial inverted pentagonal hexecontahedron"},
   {"UD61", "great dodecacronic hexecontahedron"},
   {"UD62", "small dodecahemicosacron"},
   {"UD63", "great dodecicosacron"},
   {"UD64", "great hexagonal hexecontahedron"},
   {"UD65", "great dodecahemicosacron"},
   {"UD66", "great triakisicosahedron"},
   {"UD67", "great deltoidal hexecontahedron"},
   {"UD68", "great disdyakistriacontahedron"},
   {"UD69", "great inverted pentagonal hexecontahedron"},
   {"UD70", "great dodecahemidodecacron"},
   {"UD71", "great icosihemidodecacron"},
   {"UD72", "small hexagrammic hexecontahedron"},
   {"UD73", "great rhombidodecacron"},
   {"UD74", "great pentagrammic hexecontahedron"},
   {"UD75", "great dirhombicosidodecacron"},
   {"UD76", "pentagonal dipyramid"},
   {"UD77", "pentagonal deltohedron"},
   {"UD78", "pentagrammic dipyramid"},
   {"UD79", "pentagrammic deltohedron"},
   {"UD80", "pentagrammic concave deltohedron"},
   {"", ""}
};


// Uniform Compounds
const char *model_names_uniform_compound[][2] = {
   {"Uniform Compounds", ""},
   {"UC1_a10", "6 tetrahedra rotational (10 degrees)"},
   {"UC1_a40", "6 tetrahedra rotational (40 degrees)"},
   {"UC2_a10", "12 tetrahedra rotational (10 degrees)"},
   {"UC2_a22.5", "12 tetrahedra rotational (22.5 degrees)"},
   {"UC2_a40", "12 tetrahedra rotational (40 degrees)"},
   {"UC3", "6 tetrahedra"},
   {"UC4", "2 tetrahedra"},
   {"UC5", "5 tetrahedra"},
   {"UC6", "10 tetrahedra"},
   {"UC7", "6 cubes rotational"},
   {"UC8", "3 cubes"},
   {"UC9", "5 cubes"},
   {"UC10_a10", "4 octahedra rotational (10 degrees)"},
   {"UC10_a30", "4 octahedra rotational (30 degrees)"},
   {"UC10_a50", "4 octahedra rotational (50 degrees)"},
   {"UC11_a10", "8 octahedra rotational (10 degrees)"},
   {"UC11_a30", "8 octahedra rotational (30 degrees)"},
   {"UC11_a50", "8 octahedra rotational (50 degrees)"},
   {"UC12", "4 octahedra"},
   {"UC13_a10", "20 octahedra rotational (10 degrees)"},
   {"UC13_a30", "20 octahedra rotational (30 degrees)"},
   {"UC13_a60", "20 octahedra rotational (60 degrees)"},
   {"UC14", "20 octahedra"},
   {"UC15", "10 octahedra 1"},
   {"UC16", "10 octahedra 2"},
   {"UC17", "5 octahedra"},
   {"UC18", "5 tetrahemihexahedra"},
   {"UC19", "20 tetrahemihexahedra"},
   {"UC20_k3n5/2a3", "2k n/d-gonal prisms rotational (6 {5/2}-gonal prisms 3 degrees)"},
   {"UC20_k5n3a45", "2k n/d-gonal prisms rotational (10 triangular prisms 45 degrees)"},
   {"UC21_k3n5/2", "k n/d-gonal prisms (3 {5/2}-gonal prisms)"},
   {"UC21_k5n3", "k n/d-gonal prisms (5 triangular prisms)"},
   {"UC22_k3n5/3a3", "2k n/odd d-gonal antiprisms rotational (6 {5/3}-gonal antiprisms 3 degrees)"},
   {"UC22_k5n3a45", "2k n/odd d-gonal antiprisms rotational (10 triangular antiprisms 45 degrees)"},
   {"UC23_k3n5/3", "k n/odd d-gonal antiprisms (3 {5/3}-gonal antiprisms)"},
   {"UC23_k5n3", "k n/odd d-gonal antiprisms (5 triangular antiprisms)"},
   {"UC24_k3n5/2a3", "2k n/even d-gonal antiprisms rotational (6 {5/2}-gonal antiprisms 3 degrees)"},
   {"UC25_k3n5/2", "k n/even d-gonal antiprisms (3 {5/2}-gonal antiprisms)"},
   {"UC26_a6", "12 pentagonal antiprisms rotational (6 degrees)"},
   {"UC26_a18", "12 pentagonal antiprisms rotational (18 degrees)"},
   {"UC26_a30", "12 pentagonal antiprisms rotational (30 degrees)"},
   {"UC27", "6 pentagonal antiprisms"},
   {"UC28_a10", "12 pentagrammic crossed antiprisms rotational (10 degrees)"},
   {"UC28_a18", "12 pentagrammic crossed antiprisms rotational (18 degrees)"},
   {"UC28_a30", "12 pentagrammic crossed antiprisms rotational (30 degrees)"},
   {"UC29", "6 pentagrammic crossed antiprisms"},
   {"UC30", "4 triangular prisms"},
   {"UC31", "8 triangular prisms"},
   {"UC32", "10 triangular prisms"},
   {"UC33", "20 triangular prisms"},
   {"UC34", "6 pentagonal prisms"},
   {"UC35", "12 pentagonal prisms"},
   {"UC36", "6 pentagrammic prisms"},
   {"UC37", "12 pentagrammic prisms"},
   {"UC38", "4 hexagonal prisms"},
   {"UC39", "10 hexagonal prisms"},
   {"UC40", "6 decagonal prisms"},
   {"UC41", "6 decagrammic prisms"},
   {"UC42", "3 square antiprisms"},
   {"UC43", "6 square antiprisms"},
   {"UC44", "6 pentagrammic antiprisms"},
   {"UC45", "12 pentagrammic antiprisms"},
   {"UC46", "2 icosahedra"},
   {"UC47", "5 icosahedra"},
   {"UC48", "2 great dodecahedra"},
   {"UC49", "5 great dodecahedra"},
   {"UC50", "2 small stellated dodecahedra"},
   {"UC51", "5 small stellated dodecahedra"},
   {"UC52", "2 great icosahedra"},
   {"UC53", "5 great icosahedra"},
   {"UC54", "2 truncated tetrahedra"},
   {"UC55", "5 truncated tetrahedra"},
   {"UC56", "10 truncated tetrahedra"},
   {"UC57", "5 truncated cubes"},
   {"UC58", "5 stellated truncated hexahedra"},
   {"UC59", "5 cuboctahedra"},
   {"UC60", "5 cubohemioctahedra"},
   {"UC61", "5 octahemioctahedra"},
   {"UC62", "5 rhombicuboctahedra"},
   {"UC63", "5 small rhombihexahedra"},
   {"UC64", "5 small cubicuboctahedra"},
   {"UC65", "5 great cubicuboctahedra"},
   {"UC66", "5 great rhombihexahedra"},
   {"UC67", "5 great rhombicuboctahedra"},
   {"UC68", "2 snub cubes"},
   {"UC69", "2 snub dodecahedra"},
   {"UC70", "2 great snub icosidodecahedra"},
   {"UC71", "2 great inverted snub icosidodecahedra"},
   {"UC72", "2 great retrosnub icosidodecahedra"},
   {"UC73", "2 snub dodecadodecahedra"},
   {"UC74", "2 inverted snub dodecadodecahedra"},
   {"UC75", "2 snub icosidodecadodecahedra"},
   {"", ""}
};


// Johnson Solids
const char *model_names_johnson[][2] = {
   {"Johnson Solids", ""},
   {"J1", "square pyramid"},
   {"J2", "pentagonal pyramid"},
   {"J3", "triangular cupola"},
   {"J4", "square cupola"},
   {"J5", "pentagonal cupola"},
   {"J6", "pentagonal rotunda"},
   {"J7", "elongated triangular pyramid"},
   {"J8", "elongated square pyramid"},
   {"J9", "elongated pentagonal pyramid"},
   {"J10", "gyroelongated square pyramid"},
   {"J11", "gyroelongated pentagonal pyramid"},
   {"J12", "triangular dipyramid"},
   {"J13", "pentagonal dipyramid"},
   {"J14", "elongated triangular dipyramid"},
   {"J15", "elongated square dipyramid"},
   {"J16", "elongated pentagonal dipyramid"},
   {"J17", "gyroelongated square dipyramid"},
   {"J18", "elongated triangular cupola"},
   {"J19", "elongated square cupola"},
   {"J20", "elongated pentagonal cupola"},
   {"J21", "elongated pentagonal rotunda"},
   {"J22", "gyroelongated triangular cupola"},
   {"J23", "gyroelongated square cupola"},
   {"J24", "gyroelongated pentagonal cupola"},
   {"J25", "gyroelongated pentagonal rotunda"},
   {"J26", "gyrobifastigium"},
   {"J27", "triangular orthobicupola"},
   {"J28", "square orthobicupola"},
   {"J29", "square gyrobicupola"},
   {"J30", "pentagonal orthobicupola"},
   {"J31", "pentagonal gyrobicupola"},
   {"J32", "pentagonal orthocupolarotunda"},
   {"J33", "pentagonal gyrocupolarotunda"},
   {"J34", "pentagonal orthobirotunda"},
   {"J35", "elongated triangular orthobicupola"},
   {"J36", "elongated triangular gyrobicupola"},
   {"J37", "elongated square gyrobicupola"},
   {"J38", "elongated pentagonal orthobicupola"},
   {"J39", "elongated pentagonal gyrobicupola"},
   {"J40", "elongated pentagonal orthocupolarotunda"},
   {"J41", "elongated pentagonal gyrocupolarotunda"},
   {"J42", "elongated pentagonal orthobirotunda"},
   {"J43", "elongated pentagonal gyrobirotunda"},
   {"J44", "gyroelongated triangular bicupola"},
   {"J45", "gyroelongated square bicupola"},
   {"J46", "gyroelongated pentagonal bicupola"},
   {"J47", "gyroelongated pentagonal cupolarotunda"},
   {"J48", "gyroelongated pentagonal birotunda"},
   {"J49", "augmented triangular prism"},
   {"J50", "biaugmented triangular prism"},
   {"J51", "triaugmented triangular prism"},
   {"J52", "augmented pentagonal prism"},
   {"J53", "biaugmented pentagonal prism"},
   {"J54", "augmented hexagonal prism"},
   {"J55", "parabiaugmented hexagonal prism"},
   {"J56", "metabiaugmented hexagonal prism"},
   {"J57", "triaugmented hexagonal prism"},
   {"J58", "augmented dodecahedron"},
   {"J59", "parabiaugmented dodecahedron"},
   {"J60", "metabiaugmented dodecahedron"},
   {"J61", "triaugmented dodecahedron"},
   {"J62", "metabidiminished icosahedron"},
   {"J63", "tridiminished icosahedron"},
   {"J64", "augmented tridiminished icosahedron"},
   {"J65", "augmented truncated tetrahedron"},
   {"J66", "augmented truncated cube"},
   {"J67", "biaugmented truncated cube"},
   {"J68", "augmented truncated dodecahedron"},
   {"J69", "parabiaugmented truncated dodecahedron"},
   {"J70", "metabiaugmented truncated dodecahedron"},
   {"J71", "triaugmented truncated dodecahedron"},
   {"J72", "gyrate rhombicosidodecahedron"},
   {"J73", "parabigyrate rhombicosidodecahedron"},
   {"J74", "metabigyrate rhombicosidodecahedron"},
   {"J75", "trigyrate rhombicosidodecahedron"},
   {"J76", "diminished rhombicosidodecahedron"},
   {"J77", "paragyrate diminished rhombicosidodecahedron"},
   {"J78", "metagyrate diminished rhombicosidodecahedron"},
   {"J79", "bigyrate diminished rhombicosidodecahedron"},
   {"J80", "parabidiminished rhombicosidodecahedron"},
   {"J81", "metabidiminished rhombicosidodecahedron"},
   {"J82", "gyrate bidiminished rhombicosidodecahedron"},
   {"J83", "tridiminished rhombicosidodecahedron"},
   {"J84", "snub disphenoid"},
   {"J85", "snub square antiprism"},
   {"J86", "sphenocorona"},
   {"J87", "augmented sphenocorona"},
   {"J88", "sphenomegacorona"},
   {"J89", "hebesphenomegacorona"},
   {"J90", "disphenocingulum"},
   {"J91", "bilunabirotunda"},
   {"J92", "triangular hebesphenorotunda"},
   {"", ""}
};


// Prismatic Polyhedra
const char *model_names_polygon[][2] = {
   {"Prismatic Polyhedra", ""},
   {"pri3", "triangular prism"},
   {"pri4", "square prism"},
   {"pri5", "pentagonal prism"},
   {"pri5/2", "pentagrammic prism"},
   {"pri6", "hexagonal prism"},
   {"pri7", "heptagonal prism"},
   {"pri7/2", "{7/2}-prism"},
   {"pri7/3", "{7/3}-prism"},
   {"pyr3", "triangular pyramid"},
   {"pyr4", "square pyramid"},
   {"pyr5", "pentagonal pyramid"},
   {"pyr5/2", "pentagrammic pyramid"},
   {"pyr7/2", "{7/2}-pyramid"},
   {"pyr7/3", "{7/3}-pyramid"},
   {"dip3", "triangular dipyramid"},
   {"dip4", "square dipyramid"},
   {"dip5", "pentagonal dipyramid"},
   {"dip5/2", "pentagrammic dipyramid"},
   {"dip7/2", "{7/2}-dipyramid"},
   {"dip7/3", "{7/3}-dipyramid"},
   {"ant3", "triangular antiprism"},
   {"ant4", "square antiprism"},
   {"ant5", "pentagonal antiprism"},
   {"ant5/2", "pentagrammic antiprism"},
   {"ant5/3", "crossed pentagrammic antiprism"},
   {"ant6", "hexagonal antiprism"},
   {"ant7", "heptagonal antiprism"},
   {"ant7/2", "{7/2}-antiprism"},
   {"ant7/3", "{7/3}-antiprism"},
   {"ant7/4", "{7/4}-antiprism"},
   {"ant3_d", "trigonal trapezohedron"},
   {"ant4_d", "tetragonal trapezohedron"},
   {"ant5_d", "pentagonal trapezohedron"},
   {"ant5/2_d", "pentagrammic trapezohedron"},
   {"ant5/3_d", "crossed pentagrammic trapezohedron"},
   {"ant6_d", "hexagonal trapezohedron"},
   {"ant7_d", "heptagonal trapezohedron"},
   {"ant7/2_d", "{7/2}-trapezohedron"},
   {"ant7/3_d", "{7/3}-trapezohedron"},
   {"ant7/4_d", "{7/4}-trapezohedron"},
   {"cup3", "triangular cupola"},
   {"cup3/2", "{3/2}-cupola"},
   {"cup4", "square cupola"},
   {"cup4/3", "{4/3}-cupola"},
   {"cup5", "pentagonal cupola"},
   {"cup5/2", "pentagrammic cupola"},
   {"cup5/3", "{5/3}-cupola"},
   {"cup7/2", "{7/2}-cupola"},
   {"cup7/3", "{7/3}-cupola"},
   {"cup7/4", "{7/4}-cupola"},
   {"cup7/5", "{7/5}-cupola"},
   {"gyr3", "triangular gyrobicupola"},
   {"gyr3/2", "{3/2}-gyrobicupola"},
   {"gyr4", "square gyrobicupola"},
   {"gyr4/3", "{4/3}-gyrobicupola"},
   {"gyr5", "pentagonal gyrobicupola"},
   {"gyr5/2", "pentagrammic gyrobicupola"},
   {"gyr5/3", "{5/3}-gyrobicupola"},
   {"gyr7/2", "{7/2}-gyrobicupola"},
   {"gyr7/3", "{7/3}-gyrobicupola"},
   {"gyr7/4", "{7/4}-gyrobicupola"},
   {"gyr7/5", "{7/5}-gyrobicupola"},
   {"ort3", "triangular orthobicupola"},
   {"ort3/2", "{3/2}-orthobicupola"},
   {"ort4", "square orthobicupola"},
   {"ort4/3", "{4/3}-orthobicupola"},
   {"ort5", "pentagonal orthobicupola"},
   {"ort5/2", "pentagrammic orthobicupola"},
   {"ort5/3", "{5/3}-orthobicupola"},
   {"ort7/2", "{7/2}-orthobicupola"},
   {"ort7/3", "{7/3}-orthobicupola"},
   {"ort7/4", "{7/4}-orthobicupola"},
   {"ort7/5", "{7/5}-orthobicupola"},
   {"snu3", "snub triangular antiprism"},
   {"snu3/2", "snub {3/2}-antiprism"},
   {"snu4", "snub square antiprism"},
   {"snu4/3", "snub {4/3}-antiprism"},
   {"snu5", "snub pentagonal antiprism"},
   {"snu5/2", "snub pentagrammic antiprism"},
   {"snu5/3", "snub {5/3}-antiprism"},
   {"snu5/4", "snub {5/4}-antiprism"},
   {"snu6", "snub hexagonal antiprism"},
   {"snu7", "snub heptagonal antiprism"},
   {"snu7/2", "snub {7/2}-antiprism"},
   {"snu7/3", "snub {7/3}-antiprism"},
   {"snu7/4", "snub {7/4}-antiprism"},
   {"snu7/5", "snub {7/5}-antiprism"},
   {"", ""}
};


// Geodesic Spheres
const char *model_names_geodesic[][2] = {
   {"Geodesic Spheres", ""},
   {"geo_1", "Class I F1 icosahedral geodesic sphere"},
   {"geo_o1", "Class I F1 octahedral geodesic sphere"},
   {"geo_t1", "Class I F1 tetrahedral geodesic sphere"},
   {"geo_2", "Class I F2 icosahedral geodesic sphere"},
   {"geo_o2", "Class I F2 octahedral geodesic sphere"},
   {"geo_t2", "Class I F2 tetrahedral geodesic sphere"},
   {"geo_2_2", "Class II F4 icosahedral geodesic sphere"},
   {"geo_o2_2", "Class II F4 octahedral geodesic sphere"},
   {"geo_t2_2", "Class II F4 tetrahedral geodesic sphere"},
   {"geo_3", "Class I F3 icosahedral geodesic sphere"},
   {"geo_o3", "Class I F3 octahedral geodesic sphere"},
   {"geo_t3", "Class I F3 tetrahedral geodesic sphere"},
   {"geo_3_2", "Class III (3,2) F5 icosahedral geodesic sphere"},
   {"geo_o3_2", "Class III (3,2) F5 octahedral geodesic sphere"},
   {"geo_t3_2", "Class III (3,2) F5 tetrahedral geodesic sphere"},
   {"geo_3_3", "Class II F6 icosahedral geodesic sphere"},
   {"geo_o3_3", "Class II F6 octahedral geodesic sphere"},
   {"geo_t3_3", "Class II F6 tetrahedral geodesic sphere"},
   {"geo_4", "Class I F4 icosahedral geodesic sphere"},
   {"geo_o4", "Class I F4 octahedral geodesic sphere"},
   {"geo_t4", "Class I F4 tetrahedral geodesic sphere"},
   {"geo_4_2", "Class III (4,2) F6 icosahedral geodesic sphere"},
   {"geo_o4_2", "Class III (4,2) F6 octahedral geodesic sphere"},
   {"geo_t4_2", "Class III (4,2) F6 tetrahedral geodesic sphere"},
   {"geo_4_3", "Class III (4,3) F7 icosahedral geodesic sphere"},
   {"geo_o4_3", "Class III (4,3) F7 octahedral geodesic sphere"},
   {"geo_t4_3", "Class III (4,3) F7 tetrahedral geodesic sphere"},
   {"geo_4_4", "Class II F8 icosahedral geodesic sphere"},
   {"geo_o4_4", "Class II F8 octahedral geodesic sphere"},
   {"geo_t4_4", "Class II F8 tetrahedral geodesic sphere"},
   {"geo_5", "Class I F5 icosahedral geodesic sphere"},
   {"geo_o5", "Class I F5 octahedral geodesic sphere"},
   {"geo_t5", "Class I F5 tetrahedral geodesic sphere"},
   {"geo_5_2", "Class III (5,2) F7 icosahedral geodesic sphere"},
   {"geo_o5_2", "Class III (5,2) F7 octahedral geodesic sphere"},
   {"geo_t5_2", "Class III (5,2) F7 tetrahedral geodesic sphere"},
   {"geo_5_3", "Class III (5,3) F8 icosahedral geodesic sphere"},
   {"geo_o5_3", "Class III (5,3) F8 octahedral geodesic sphere"},
   {"geo_t5_3", "Class III (5,3) F8 tetrahedral geodesic sphere"},
   {"geo_5_4", "Class III (5,4) F9 icosahedral geodesic sphere"},
   {"geo_o5_4", "Class III (5,4) F9 octahedral geodesic sphere"},
   {"geo_t5_4", "Class III (5,4) F9 tetrahedral geodesic sphere"},
   {"geo_5_5", "Class II F10 icosahedral geodesic sphere"},
   {"geo_o5_5", "Class II F10 octahedral geodesic sphere"},
   {"geo_t5_5", "Class II F10 tetrahedral geodesic sphere"},
   {"geo_7", "Class I F7 icosahedral geodesic sphere"},
   {"geo_o7", "Class I F7 octahedral geodesic sphere"},
   {"geo_t7", "Class I F7 tetrahedral geodesic sphere"},
   {"geo_7_2", "Class III (7,2) F9 icosahedral geodesic sphere"},
   {"geo_o7_2", "Class III (7,2) F9 octahedral geodesic sphere"},
   {"geo_t7_2", "Class III (7,2) F9 tetrahedral geodesic sphere"},
   {"geo_7_3", "Class III (7,3) F10 icosahedral geodesic sphere"},
   {"geo_o7_3", "Class III (7,3) F10 octahedral geodesic sphere"},
   {"geo_t7_3", "Class III (7,3) F10 tetrahedral geodesic sphere"},
   {"geo_7_4", "Class III (7,4) F11 icosahedral geodesic sphere"},
   {"geo_o7_4", "Class III (7,4) F11 octahedral geodesic sphere"},
   {"geo_t7_4", "Class III (7,4) F11 tetrahedral geodesic sphere"},
   {"geo_7_5", "Class III (7,5) F12 icosahedral geodesic sphere"},
   {"geo_o7_5", "Class III (7,5) F12 octahedral geodesic sphere"},
   {"geo_t7_5", "Class III (7,5) F12 tetrahedral geodesic sphere"},
   {"geo_7_7", "Class II F14 icosahedral geodesic sphere"},
   {"geo_o7_7", "Class II F14 octahedral geodesic sphere"},
   {"geo_t7_7", "Class II F14 tetrahedral geodesic sphere"},
   {"geo_10", "Class I F10 icosahedral geodesic sphere"},
   {"geo_o10", "Class I F10 octahedral geodesic sphere"},
   {"geo_t10", "Class I F10 tetrahedral geodesic sphere"},
   {"geo_10_2", "Class III (10,2) F12 icosahedral geodesic sphere"},
   {"geo_o10_2", "Class III (10,2) F12 octahedral geodesic sphere"},
   {"geo_t10_2", "Class III (10,2) F12 tetrahedral geodesic sphere"},
   {"geo_10_3", "Class III (10,3) F13 icosahedral geodesic sphere"},
   {"geo_o10_3", "Class III (10,3) F13 octahedral geodesic sphere"},
   {"geo_t10_3", "Class III (10,3) F13 tetrahedral geodesic sphere"},
   {"geo_10_4", "Class III (10,4) F14 icosahedral geodesic sphere"},
   {"geo_o10_4", "Class III (10,4) F14 octahedral geodesic sphere"},
   {"geo_t10_4", "Class III (10,4) F14 tetrahedral geodesic sphere"},
   {"geo_10_5", "Class III (10,5) F15 icosahedral geodesic sphere"},
   {"geo_o10_5", "Class III (10,5) F15 octahedral geodesic sphere"},
   {"geo_t10_5", "Class III (10,5) F15 tetrahedral geodesic sphere"},
   {"geo_10_7", "Class III (10,7) F17 icosahedral geodesic sphere"},
   {"geo_o10_7", "Class III (10,7) F17 octahedral geodesic sphere"},
   {"geo_t10_7", "Class III (10,7) F17 tetrahedral geodesic sphere"},
   {"geo_10_10", "Class II F20 icosahedral geodesic sphere"},
   {"geo_o10_10", "Class II F20 octahedral geodesic sphere"},
   {"geo_t10_10", "Class II F20 tetrahedral geodesic sphere"},
   {"geo_20", "Class I F20 icosahedral geodesic sphere"},
   {"geo_o20", "Class I F20 octahedral geodesic sphere"},
   {"geo_t20", "Class I F20 tetrahedral geodesic sphere"},
   {"geo_20_2", "Class III (20,2) F22 icosahedral geodesic sphere"},
   {"geo_o20_2", "Class III (20,2) F22 octahedral geodesic sphere"},
   {"geo_t20_2", "Class III (20,2) F22 tetrahedral geodesic sphere"},
   {"geo_20_3", "Class III (20,3) F23 icosahedral geodesic sphere"},
   {"geo_o20_3", "Class III (20,3) F23 octahedral geodesic sphere"},
   {"geo_t20_3", "Class III (20,3) F23 tetrahedral geodesic sphere"},
   {"geo_20_4", "Class III (20,4) F24 icosahedral geodesic sphere"},
   {"geo_o20_4", "Class III (20,4) F24 octahedral geodesic sphere"},
   {"geo_t20_4", "Class III (20,4) F24 tetrahedral geodesic sphere"},
   {"geo_20_5", "Class III (20,5) F25 icosahedral geodesic sphere"},
   {"geo_o20_5", "Class III (20,5) F25 octahedral geodesic sphere"},
   {"geo_t20_5", "Class III (20,5) F25 tetrahedral geodesic sphere"},
   {"geo_20_7", "Class III (20,7) F27 icosahedral geodesic sphere"},
   {"geo_o20_7", "Class III (20,7) F27 octahedral geodesic sphere"},
   {"geo_t20_7", "Class III (20,7) F27 tetrahedral geodesic sphere"},
   {"geo_20_10", "Class III (20,10) F30 icosahedral geodesic sphere"},
   {"geo_o20_10", "Class III (20,10) F30 octahedral geodesic sphere"},
   {"geo_t20_10", "Class III (20,10) F30 tetrahedral geodesic sphere"},
   {"geo_20_20", "Class II F40 icosahedral geodesic sphere"},
   {"geo_o20_20", "Class II F40 octahedral geodesic sphere"},
   {"geo_t20_20", "Class II F40 tetrahedral geodesic sphere"},
   {"", ""}
};


// Geodesic Duals
const char *model_names_geodesic_dual[][2] = {
   {"Geodesic Duals", ""},
   {"geo_1_d", "Dual Class I F1 icosahedral geodesic sphere"},
   {"geo_o1_d", "Dual Class I F1 octahedral geodesic sphere"},
   {"geo_t1_d", "Dual Class I F1 tetrahedral geodesic sphere"},
   {"geo_1_1_d", "Dual Class II F2 icosahedral geodesic sphere"},
   {"geo_o1_1_d", "Dual Class II F2 octahedral geodesic sphere"},
   {"geo_t1_1_d", "Dual Class II F2 tetrahedral geodesic sphere"},
   {"geo_2_d", "Dual Class I F2 icosahedral geodesic sphere"},
   {"geo_o2_d", "Dual Class I F2 octahedral geodesic sphere"},
   {"geo_t2_d", "Dual Class I F2 tetrahedral geodesic sphere"},
   {"geo_2_1_d", "Dual Class III (2,1) F3 icosahedral geodesic sphere"},
   {"geo_o2_1_d", "Dual Class III (2,1) F3 octahedral geodesic sphere"},
   {"geo_t2_1_d", "Dual Class III (2,1) F3 tetrahedral geodesic sphere"},
   {"geo_2_2_d", "Dual Class II F4 icosahedral geodesic sphere"},
   {"geo_o2_2_d", "Dual Class II F4 octahedral geodesic sphere"},
   {"geo_t2_2_d", "Dual Class II F4 tetrahedral geodesic sphere"},
   {"geo_3_d", "Dual Class I F3 icosahedral geodesic sphere"},
   {"geo_o3_d", "Dual Class I F3 octahedral geodesic sphere"},
   {"geo_t3_d", "Dual Class I F3 tetrahedral geodesic sphere"},
   {"geo_3_1_d", "Dual Class III (3,1) F4 icosahedral geodesic sphere"},
   {"geo_o3_1_d", "Dual Class III (3,1) F4 octahedral geodesic sphere"},
   {"geo_t3_1_d", "Dual Class III (3,1) F4 tetrahedral geodesic sphere"},
   {"geo_3_2_d", "Dual Class III (3,2) F5 icosahedral geodesic sphere"},
   {"geo_o3_2_d", "Dual Class III (3,2) F5 octahedral geodesic sphere"},
   {"geo_t3_2_d", "Dual Class III (3,2) F5 tetrahedral geodesic sphere"},
   {"geo_3_3_d", "Dual Class II F6 icosahedral geodesic sphere"},
   {"geo_o3_3_d", "Dual Class II F6 octahedral geodesic sphere"},
   {"geo_t3_3_d", "Dual Class II F6 tetrahedral geodesic sphere"},
   {"geo_4_d", "Dual Class I F4 icosahedral geodesic sphere"},
   {"geo_o4_d", "Dual Class I F4 octahedral geodesic sphere"},
   {"geo_t4_d", "Dual Class I F4 tetrahedral geodesic sphere"},
   {"geo_4_1_d", "Dual Class III (4,1) F5 icosahedral geodesic sphere"},
   {"geo_o4_1_d", "Dual Class III (4,1) F5 octahedral geodesic sphere"},
   {"geo_t4_1_d", "Dual Class III (4,1) F5 tetrahedral geodesic sphere"},
   {"geo_4_2_d", "Dual Class III (4,2) F6 icosahedral geodesic sphere"},
   {"geo_o4_2_d", "Dual Class III (4,2) F6 octahedral geodesic sphere"},
   {"geo_t4_2_d", "Dual Class III (4,2) F6 tetrahedral geodesic sphere"},
   {"geo_4_3_d", "Dual Class III (4,3) F7 icosahedral geodesic sphere"},
   {"geo_o4_3_d", "Dual Class III (4,3) F7 octahedral geodesic sphere"},
   {"geo_t4_3_d", "Dual Class III (4,3) F7 tetrahedral geodesic sphere"},
   {"geo_4_4_d", "Dual Class II F8 icosahedral geodesic sphere"},
   {"geo_o4_4_d", "Dual Class II F8 octahedral geodesic sphere"},
   {"geo_t4_4_d", "Dual Class II F8 tetrahedral geodesic sphere"},
   {"geo_5_d", "Dual Class I F5 icosahedral geodesic sphere"},
   {"geo_o5_d", "Dual Class I F5 octahedral geodesic sphere"},
   {"geo_t5_d", "Dual Class I F5 tetrahedral geodesic sphere"},
   {"geo_5_1_d", "Dual Class III (5,1) F6 icosahedral geodesic sphere"},
   {"geo_o5_1_d", "Dual Class III (5,1) F6 octahedral geodesic sphere"},
   {"geo_t5_1_d", "Dual Class III (5,1) F6 tetrahedral geodesic sphere"},
   {"geo_5_2_d", "Dual Class III (5,2) F7 icosahedral geodesic sphere"},
   {"geo_o5_2_d", "Dual Class III (5,2) F7 octahedral geodesic sphere"},
   {"geo_t5_2_d", "Dual Class III (5,2) F7 tetrahedral geodesic sphere"},
   {"geo_5_3_d", "Dual Class III (5,3) F8 icosahedral geodesic sphere"},
   {"geo_o5_3_d", "Dual Class III (5,3) F8 octahedral geodesic sphere"},
   {"geo_t5_3_d", "Dual Class III (5,3) F8 tetrahedral geodesic sphere"},
   {"geo_5_4_d", "Dual Class III (5,4) F9 icosahedral geodesic sphere"},
   {"geo_o5_4_d", "Dual Class III (5,4) F9 octahedral geodesic sphere"},
   {"geo_t5_4_d", "Dual Class III (5,4) F9 tetrahedral geodesic sphere"},
   {"geo_5_5_d", "Dual Class II F10 icosahedral geodesic sphere"},
   {"geo_o5_5_d", "Dual Class II F10 octahedral geodesic sphere"},
   {"geo_t5_5_d", "Dual Class II F10 tetrahedral geodesic sphere"},
   {"geo_7_d", "Dual Class I F7 icosahedral geodesic sphere"},
   {"geo_o7_d", "Dual Class I F7 octahedral geodesic sphere"},
   {"geo_t7_d", "Dual Class I F7 tetrahedral geodesic sphere"},
   {"geo_7_1_d", "Dual Class III (7,1) F8 icosahedral geodesic sphere"},
   {"geo_o7_1_d", "Dual Class III (7,1) F8 octahedral geodesic sphere"},
   {"geo_t7_1_d", "Dual Class III (7,1) F8 tetrahedral geodesic sphere"},
   {"geo_7_2_d", "Dual Class III (7,2) F9 icosahedral geodesic sphere"},
   {"geo_o7_2_d", "Dual Class III (7,2) F9 octahedral geodesic sphere"},
   {"geo_t7_2_d", "Dual Class III (7,2) F9 tetrahedral geodesic sphere"},
   {"geo_7_3_d", "Dual Class III (7,3) F10 icosahedral geodesic sphere"},
   {"geo_o7_3_d", "Dual Class III (7,3) F10 octahedral geodesic sphere"},
   {"geo_t7_3_d", "Dual Class III (7,3) F10 tetrahedral geodesic sphere"},
   {"geo_7_4_d", "Dual Class III (7,4) F11 icosahedral geodesic sphere"},
   {"geo_o7_4_d", "Dual Class III (7,4) F11 octahedral geodesic sphere"},
   {"geo_t7_4_d", "Dual Class III (7,4) F11 tetrahedral geodesic sphere"},
   {"geo_7_5_d", "Dual Class III (7,5) F12 icosahedral geodesic sphere"},
   {"geo_o7_5_d", "Dual Class III (7,5) F12 octahedral geodesic sphere"},
   {"geo_t7_5_d", "Dual Class III (7,5) F12 tetrahedral geodesic sphere"},
   {"geo_7_7_d", "Dual Class II F14 icosahedral geodesic sphere"},
   {"geo_o7_7_d", "Dual Class II F14 octahedral geodesic sphere"},
   {"geo_t7_7_d", "Dual Class II F14 tetrahedral geodesic sphere"},
   {"geo_10_d", "Dual Class I F10 icosahedral geodesic sphere"},
   {"geo_o10_d", "Dual Class I F10 octahedral geodesic sphere"},
   {"geo_t10_d", "Dual Class I F10 tetrahedral geodesic sphere"},
   {"geo_10_1_d", "Dual Class III (10,1) F11 icosahedral geodesic sphere"},
   {"geo_o10_1_d", "Dual Class III (10,1) F11 octahedral geodesic sphere"},
   {"geo_t10_1_d", "Dual Class III (10,1) F11 tetrahedral geodesic sphere"},
   {"geo_10_2_d", "Dual Class III (10,2) F12 icosahedral geodesic sphere"},
   {"geo_o10_2_d", "Dual Class III (10,2) F12 octahedral geodesic sphere"},
   {"geo_t10_2_d", "Dual Class III (10,2) F12 tetrahedral geodesic sphere"},
   {"geo_10_3_d", "Dual Class III (10,3) F13 icosahedral geodesic sphere"},
   {"geo_o10_3_d", "Dual Class III (10,3) F13 octahedral geodesic sphere"},
   {"geo_t10_3_d", "Dual Class III (10,3) F13 tetrahedral geodesic sphere"},
   {"geo_10_4_d", "Dual Class III (10,4) F14 icosahedral geodesic sphere"},
   {"geo_o10_4_d", "Dual Class III (10,4) F14 octahedral geodesic sphere"},
   {"geo_t10_4_d", "Dual Class III (10,4) F14 tetrahedral geodesic sphere"},
   {"geo_10_5_d", "Dual Class III (10,5) F15 icosahedral geodesic sphere"},
   {"geo_o10_5_d", "Dual Class III (10,5) F15 octahedral geodesic sphere"},
   {"geo_t10_5_d", "Dual Class III (10,5) F15 tetrahedral geodesic sphere"},
   {"geo_10_7_d", "Dual Class III (10,7) F17 icosahedral geodesic sphere"},
   {"geo_o10_7_d", "Dual Class III (10,7) F17 octahedral geodesic sphere"},
   {"geo_t10_7_d", "Dual Class III (10,7) F17 tetrahedral geodesic sphere"},
   {"geo_10_10_d", "Dual Class II F20 icosahedral geodesic sphere"},
   {"geo_o10_10_d", "Dual Class II F20 octahedral geodesic sphere"},
   {"geo_t10_10_d", "Dual Class II F20 tetrahedral geodesic sphere"},
   {"geo_20_d", "Dual Class I F20 icosahedral geodesic sphere"},
   {"geo_o20_d", "Dual Class I F20 octahedral geodesic sphere"},
   {"geo_t20_d", "Dual Class I F20 tetrahedral geodesic sphere"},
   {"geo_20_1_d", "Dual Class III (20,1) F21 icosahedral geodesic sphere"},
   {"geo_o20_1_d", "Dual Class III (20,1) F21 octahedral geodesic sphere"},
   {"geo_t20_1_d", "Dual Class III (20,1) F21 tetrahedral geodesic sphere"},
   {"geo_20_2_d", "Dual Class III (20,2) F22 icosahedral geodesic sphere"},
   {"geo_o20_2_d", "Dual Class III (20,2) F22 octahedral geodesic sphere"},
   {"geo_t20_2_d", "Dual Class III (20,2) F22 tetrahedral geodesic sphere"},
   {"geo_20_3_d", "Dual Class III (20,3) F23 icosahedral geodesic sphere"},
   {"geo_o20_3_d", "Dual Class III (20,3) F23 octahedral geodesic sphere"},
   {"geo_t20_3_d", "Dual Class III (20,3) F23 tetrahedral geodesic sphere"},
   {"geo_20_4_d", "Dual Class III (20,4) F24 icosahedral geodesic sphere"},
   {"geo_o20_4_d", "Dual Class III (20,4) F24 octahedral geodesic sphere"},
   {"geo_t20_4_d", "Dual Class III (20,4) F24 tetrahedral geodesic sphere"},
   {"geo_20_5_d", "Dual Class III (20,5) F25 icosahedral geodesic sphere"},
   {"geo_o20_5_d", "Dual Class III (20,5) F25 octahedral geodesic sphere"},
   {"geo_t20_5_d", "Dual Class III (20,5) F25 tetrahedral geodesic sphere"},
   {"geo_20_7_d", "Dual Class III (20,7) F27 icosahedral geodesic sphere"},
   {"geo_o20_7_d", "Dual Class III (20,7) F27 octahedral geodesic sphere"},
   {"geo_t20_7_d", "Dual Class III (20,7) F27 tetrahedral geodesic sphere"},
   {"geo_20_10_d", "Dual Class III (20,10) F30 icosahedral geodesic sphere"},
   {"geo_o20_10_d", "Dual Class III (20,10) F30 octahedral geodesic sphere"},
   {"geo_t20_10_d", "Dual Class III (20,10) F30 tetrahedral geodesic sphere"},
   {"geo_20_20_d", "Dual Class II F40 icosahedral geodesic sphere"},
   {"geo_o20_20_d", "Dual Class II F40 octahedral geodesic sphere"},
   {"geo_t20_20_d", "Dual Class II F40 tetrahedral geodesic sphere"},
   {"", ""}
};


// Standard
const char *model_names_standard[][2] = {
   {"Standard", ""},
   {"std_tet", "tetrahedron"},
   {"std_tr_tet", "truncated tetrahedron"},
   {"std_cube", "cube"},
   {"std_tr_cube", "truncated cube"},
   {"std_snub_cube", "snub cube"},
   {"std_oct", "octahedron"},
   {"std_tr_oct", "truncated octahedron"},
   {"std_dod", "dodecahedron"},
   {"std_tr_dod", "truncated dodecahedron"},
   {"std_snub_dod", "snub dodecahedron"},
   {"std_ico", "icosahedron"},
   {"std_tr_ico", "truncated icosahedron"},
   {"std_cubo", "cuboctahedron"},
   {"std_tr_cubo", "truncated cuboctahedron"},
   {"std_icosid", "icosidodecahedron"},
   {"std_tr_icosid", "truncated icosidodecahedron"},
   {"std_rh_cubo", "rhombicuboctahedron"},
   {"std_rh_icosid", "rhombicosidodecahedron"},
   {"std_rd", "rhombic dodecahedron"},
   {"std_rt", "rhombic triacontahedron"},
   {"std_re", "rhombic enneacontahedron"},
   {"", ""}
};


// Symmetry Examples
const char *model_names_symmetry_ex[][2] = {
   {"Symmetry Examples", ""},
   {"sym_Cs", "mirror"},
   {"sym_Ci", "inversion"},
   {"sym_C1", "cyclic rotational"},
   {"sym_C2", "cyclic rotational"},
   {"sym_C3", "cyclic rotational"},
   {"sym_C4", "cyclic rotational"},
   {"sym_C5", "cyclic rotational"},
   {"sym_C6", "cyclic rotational"},
   {"sym_C10", "cyclic rotational"},
   {"sym_C1v", "cyclic rotational with vertical mirror"},
   {"sym_C2v", "cyclic rotational with vertical mirror"},
   {"sym_C3v", "cyclic rotational with vertical mirror"},
   {"sym_C4v", "cyclic rotational with vertical mirror"},
   {"sym_C5v", "cyclic rotational with vertical mirror"},
   {"sym_C6v", "cyclic rotational with vertical mirror"},
   {"sym_C10v", "cyclic rotational with vertical mirror"},
   {"sym_C1h", "cyclic rotational with horizontal mirror"},
   {"sym_C2h", "cyclic rotational with horizontal mirror"},
   {"sym_C3h", "cyclic rotational with horizontal mirror"},
   {"sym_C4h", "cyclic rotational with horizontal mirror"},
   {"sym_C5h", "cyclic rotational with horizontal mirror"},
   {"sym_C6h", "cyclic rotational with horizontal mirror"},
   {"sym_C10h", "cyclic rotational with horizontal mirror"},
   {"sym_D1", "dihedral rotational"},
   {"sym_D2", "dihedral rotational"},
   {"sym_D3", "dihedral rotational"},
   {"sym_D4", "dihedral rotational"},
   {"sym_D5", "dihedral rotational"},
   {"sym_D6", "dihedral rotational"},
   {"sym_D10", "dihedral rotational"},
   {"sym_D1v", "dihedral rotational with vertical mirror"},
   {"sym_D2v", "dihedral rotational with vertical mirror"},
   {"sym_D3v", "dihedral rotational with vertical mirror"},
   {"sym_D4v", "dihedral rotational with vertical mirror"},
   {"sym_D5v", "dihedral rotational with vertical mirror"},
   {"sym_D6v", "dihedral rotational with vertical mirror"},
   {"sym_D10v", "dihedral rotational with vertical mirror"},
   {"sym_D1h", "dihedral rotational with horizontal mirror"},
   {"sym_D2h", "dihedral rotational with horizontal mirror"},
   {"sym_D3h", "dihedral rotational with horizontal mirror"},
   {"sym_D4h", "dihedral rotational with horizontal mirror"},
   {"sym_D5h", "dihedral rotational with horizontal mirror"},
   {"sym_D6h", "dihedral rotational with horizontal mirror"},
   {"sym_D10h", "dihedral rotational with horizontal mirror"},
   {"sym_S2", "cyclic rotational with inversion"},
   {"sym_S4", "cyclic rotational with inversion"},
   {"sym_S6", "cyclic rotational with inversion"},
   {"sym_S10", "cyclic rotational with inversion"},
   {"sym_S12", "cyclic rotational with inversion"},
   {"sym_S20", "cyclic rotational with inversion"},
   {"sym_T", "tetrahedral rotational"},
   {"sym_Td", "tetrahedral rotational with mirror"},
   {"sym_Th", "tetrahedral rotational with inversion"},
   {"sym_O", "octahedral rotational"},
   {"sym_Oh", "octahedral rotational with mirror"},
   {"sym_I", "icosahedral rotational"},
   {"sym_Ih", "icosahedral rotational with mirror"},
   {"", ""}
};

